package com.alivc.vod.service.impl;

import java.util.ArrayList;
import java.util.List;
import com.alivc.vod.dao.LiveDao;
import com.alivc.vod.pojo.RecommendLive;
import com.alivc.vod.service.LiveService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/** 
 * ClassName: LiveServiceImpl <br/> 
 * Function: TODO 播流impl层. <br/> 
 * Reason:   TODO 用于实现播流service层的方法. <br/> 
 * Date:     2018年12月14日  <br/> 
 * @author   tz 
 * @version   v0.0.1
 * @since    JDK 1.8 
 * @see       
 */
@Service
public class LiveServiceImpl implements LiveService {
	private static final Logger LOG = LoggerFactory.getLogger(LiveServiceImpl.class);
	@Autowired
	private LiveDao liveDao;
	
	 

    /**
     * 获取推荐播流列表
     * @param  
     *               pageIndex,   pageSize
     * @return List<RecommendVideo>
     */
    @Override
    public List<RecommendLive> getRecommendLive(  int pageIndex, int pageSize) {
        List<RecommendLive> videoList = new ArrayList<RecommendLive>();
        try {
            videoList = liveDao.getRecommendLive( (pageIndex-1)*pageSize, pageSize);
        } catch (Exception e) {
            e.printStackTrace();
            LOG.error("---获取推荐视频异常", e);
        }
        return videoList;
        }
 
}
